Zuplo Developer API

List of endpoints available to manage services for a given tunnel.


Gets a provisioning status

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}/provisioning-operations/{operationId}

This endpoint returns the status of the services that the tunnel is currently configured for. Provisioning the services is an asynchronous process so this endpoint allows you to poll the status.

Gets a provisioning status › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

operationId
​string · required

The ID of the operation.

Gets a provisioning status › Responses

The request has succeeded.

id
​string · readOnly · required
status
​string · enum · required
Enum values:
in-progress
success
error
Example: success
message
​string
details
​string

Gets a service configuration

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}/services-configuration

This endpoint returns a snapshot of the services that the tunnel is currently configured for.

Gets a service configuration › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

Gets a service configuration › Responses

The request has succeeded.

version
​integer · uint8 · required

The version of this configuration format.

Example: 1

A list of services that the tunnel will connect to.


Configures tunnel services

PUT
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}/services-configuration

This endpoint reads the request body and creates/updates/delete the services that the tunnel connects to.

Configures tunnel services › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

Configures tunnel services › Request Body

version
​integer · uint8 · required

The version of this configuration format.

Example: 1

A list of services that the tunnel will connect to.

Configures tunnel services › Responses

The request has succeeded.

id
​string · readOnly · required
status
​string · enum · required
Enum values:
in-progress
success
error
Example: success
message
​string
details
​string